export default async function() {
  const { store, redirect } = this.context
  if (!store.state.engine.user) {
    if (!await this.fetchUserInfo()) {
      redirect('/')
    }
  }
  if (this.isActive && !this.shouldStop) {
    console.warn('attempt to start already running engine!')
    return
  }

  const role = store.state.engine.user?.role || ''
  if (role === 'admin') {
    console.debug('user is admin, engine not started')
    return
  }

  this.isActive = true
  this.shouldStop = false
  this.fetchUpdate()
  console.debug('engine started')
}
