import { defineStore } from 'pinia'

export type Player = {
  id: string
  name: string
  isIdle: boolean
  score: number
}

export type Players = Array<Player>

export const usePlayersStore = defineStore('PlayersStore', {
  state: () => {
    return {
      players: [] as Players,
    }
  },
  actions: {
    setPlayers(players: Players): void {
      players = players || []
      this.players.splice(0, this.players.length, ...players)
    },
  },
})
