import { defineStore } from 'pinia'

export type Userinfo = {
  id: string
  name: string
  role: '' | 'player' | 'gamemaster' | 'admin'
  game: string
  lang: 'de' | 'en'
  isCameo: string 
}

export const useUserinfoStore = defineStore('UserinfoStore', {
  state: () => {
    return {
      userInfo: {
        id: '',
        name: '',
        role: '',
        game: '',
        lang: 'en',
        isCameo: '',
      } as Userinfo,
    }
  },
  getters: {
    id: (state): string => state.userInfo.id,
    name: (state): string => state.userInfo.name,
    lang: (state): string => state.userInfo.lang,
    isAdmin: (state): boolean => state.userInfo.role === 'admin',
    isGamemaster: (state): boolean => state.userInfo.role === 'gamemaster',
    gameId: (state): string => state.userInfo.game,
  },
  actions: {
    setUserInfo(userInfo: unknown): void {
     this.userInfo = userInfo 
    },
  },
})
