package application

import (
	"fmt"
	"sirlab.de/go/knowyt/user"
)

func (app Application) GetUserById(id string) (*user.User, error) {
	app.mu.Lock()
	defer app.mu.Unlock()

	usr := app.users[id]
	if usr == nil {
		return nil, fmt.Errorf("unknown id")
	}
	return usr, nil
}

func (app Application) GetUserByAuthcode(authcode string) (*user.User, error) {
	app.mu.Lock()
	defer app.mu.Unlock()

	for _, usr := range app.users {
		if usr.GetAuthCode() == authcode {
			return usr, nil
		}
	}
	return nil, fmt.Errorf("unknown id")
}
