package game

import (
	"sirlab.de/go/knowyt/syncdata"
)

func (gm *Game) populateSyncDataCb(syncData *syncdata.SyncData) {
	syncData.GameInfo = gm.populateGameInfo()
}

func (gm *Game) populateGameInfo() syncdata.GameInfo {
	numQuotesLeft, numQuotesTotal := gm.countQuotes()

	gm.mu.Lock()
	defer gm.mu.Unlock()

	return syncdata.GameInfo{
		GameId:         gm.id,
		Name:           gm.name,
		State:          gm.state,
		Phase:          gm.phase,
		Players:        gm.populateGetPlayers(),
		Round:          gm.populateGetRoundInfo(),
		NumQuotesLeft:  numQuotesLeft,
		NumQuotesTotal: numQuotesTotal,
	}
}
