package handler

import (
	"fmt"
	"mime"
	"net/http"
	"path"
	"sirlab.de/go/knowyt/resources"
)

func FileHandler(w http.ResponseWriter, req *http.Request) {
	uri := req.URL.String()
	if uri[len(uri)-1] == '/' {
		uri += "index.html"
	}
	uri = uri[1:]
	data, err := Resources.Asset(uri)
	if err != nil && uri[len(uri)-1] != '/' {
		// workaround for routes like "/play" which really should be "/play/index.html"
		uriFolder := uri + "/index.html"
		data, err = Resources.Asset(uriFolder)
		if err == nil {
			uri = uriFolder
		}
	}
	if err != nil {
		fmt.Printf("%s: %v\n", uri, err)
		http.NotFoundHandler().ServeHTTP(w, req)
		return
	}

	mimeType := mime.TypeByExtension(path.Ext(uri))
	if mimeType == "" {
		mimeType = "text/plain"
	}
	w.Header().Add("Content-Type", mimeType)
	fmt.Fprint(w, string(data))
}
